set DESIGN_PATH         ../src

set UUT_PATH            .

set PCI_PATH            $DESIGN_PATH/PCI

set PCI_TESTBENCH_PATH  $DESIGN_PATH/Testbench

set TESTBENCH_PATH      $DESIGN_PATH/Testbench



# The Global file

vlog -work tsim_work +incdir+$TESTBENCH_PATH $TESTBENCH_PATH/glbl.v



#The PCI TEstbench Files

vlog -work tsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/PCI_arbiter.v

vlog -work tsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/PCI_bus_monitor.v

vlog -work tsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/PCI_device.v

vlog -work tsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/PCI_device_defines.v



# Compile The Design Files

vlog -work tsim_work +incdir+UUT_PATH $UUT_PATH/boardtest_top_routed.v



# Compile the rest of the testbench

vlog -work tsim_work +incdir+$TESTBENCH_PATH $TESTBENCH_PATH/seg2bin.v

vlog -work tsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/SDRAM_PCI.v

vlog -work tsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/SDRAM_TB_CONTROL.v



vlog -work tsim_work +incdir+$TESTBENCH_PATH $TESTBENCH_PATH/mt48lc2m32b2.v



vlog -work tsim_work +incdir+$TESTBENCH_PATH $TESTBENCH_PATH/BOARDTEST_TB_TOP.v