#ifndef _IOCTRL_H_

#define _IOCTRL_H_



// IOCTL code

#define MDS_IOCTL_SET_BAR CTL_CODE (FILE_DEVICE_UNKNOWN,   \

                                    0x000,                 \

                                    METHOD_BUFFERED,       \

                                    FILE_ANY_ACCESS)



#define MDS_IOCTL_SET_OFFSET CTL_CODE (FILE_DEVICE_UNKNOWN,   \

                                    0x001,                 \

                                    METHOD_BUFFERED,       \

                                    FILE_ANY_ACCESS)



#define MDS_IOCTL_GET_USER_LED_STATE CTL_CODE (FILE_DEVICE_UNKNOWN,   \

                                    0x002,                 \

                                    METHOD_BUFFERED,       \

                                    FILE_ANY_ACCESS)



#define MDS_IOCTL_SET_USER_LED_STATE CTL_CODE (FILE_DEVICE_UNKNOWN,   \

                                    0x003,                 \

                                    METHOD_BUFFERED,       \

                                    FILE_ANY_ACCESS)



#define MDS_IOCTL_GET_7_SEGMENT_STATE CTL_CODE (FILE_DEVICE_UNKNOWN,   \

                                    0x004,                 \

                                    METHOD_BUFFERED,       \

                                    FILE_ANY_ACCESS)



#define MDS_IOCTL_SET_7_SEGMENT_STATE CTL_CODE (FILE_DEVICE_UNKNOWN,   \

                                    0x005,                 \

                                    METHOD_BUFFERED,       \

                                    FILE_ANY_ACCESS)



#define MDS_IOCTL_GET_DIP_STATE CTL_CODE (FILE_DEVICE_UNKNOWN,   \

                                    0x006,                 \

                                    METHOD_BUFFERED,       \

                                    FILE_ANY_ACCESS)



#define MDS_IOCTL_GET_PB_STATE CTL_CODE (FILE_DEVICE_UNKNOWN,   \

                                    0x007,                 \

                                    METHOD_BUFFERED,       \

                                    FILE_ANY_ACCESS)



#define MDS_IOCTL_SET_UART_CTRL CTL_CODE (FILE_DEVICE_UNKNOWN,   \

                                    0x008,                 \

                                    METHOD_BUFFERED,       \

                                    FILE_ANY_ACCESS)



#define MDS_IOCTL_ECHO_RX CTL_CODE (FILE_DEVICE_UNKNOWN,   \

                                    0x009,                 \

                                    METHOD_BUFFERED,       \

                                    FILE_ANY_ACCESS)



// IOCTRL Register Masks

#define TX_READY			0x1

#define RX_READY			0x2

#define RX_FIFO_OVERFLOW	0x4



// IOCTRL Error Codes

#define	ERR_ECHO_TIMEOUT		0xFFFFFFF1

#define ERR_RX_FIFO_OVERFLOW	0xFFFFFFF4

#define ERR_RX_NO_DATA_RECEIVED 0xFFFFFFF8



#endif // _IOCTRL_H_

